Hanzo
API Reference

Hanzo Guard API

Hanzo Guard provides LLM I/O sanitization via an HTTP proxy API.

Hanzo Guard provides LLM I/O sanitization via an HTTP proxy API.

Base URLhttps://guard.hanzo.ai
Version1.0.0
Operations8
GuideHanzo Guard API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://guard.hanzo.ai

Endpoints

Audit

MethodEndpointDescription
GET/v1/guard/auditGet audit log

Config

MethodEndpointDescription
GET/v1/guard/configGet current configuration
PUT/v1/guard/configUpdate configuration

Health

MethodEndpointDescription
GET/healthHealth check

Rate Limit

MethodEndpointDescription
GET/v1/guard/rate-limit/{user_id}Check rate limit status
DELETE/v1/guard/rate-limit/{user_id}Reset rate limit

Sanitize

MethodEndpointDescription
POST/v1/guard/sanitize/inputSanitize user input
POST/v1/guard/sanitize/outputSanitize LLM output

Hanzo Guard API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page